GNOME(1)

gnome-session - Starts up the GNOME desktop environment

SYNOPSIS
gnome-session [--choosesession] [--failsafe] [--purge-delay=DELAY] [--warn-delay=DELAY] [--suicide-delay=DELAY] [session-name]

DESCRIPTION
The gnome-session program starts up the GNOME desktop environment. This command is typically executed by your login manager (either gdm, xdm, or from your X startup scripts). It will load either your last session, or it will provide a default session for the user as defined by the system administrator (or the default GNOME installation on your system).

You can optionally specify a specific session name to restore.

gnome-session is an X11R6 session manager. It can manage GNOME applications as well as any X11R6 SM compliant.

gnome-session uses the contents of the ~/.gnome/session file for starting up as specified by the "Current Sesssion" key in the ~/.gnome/session-options file. Various default values are provided in case the file entry does not exist.

If the session file does not exist, gnome-session will use the contents of the /usr/X11R6/share/gnome/gnome/default.session file.

OPTIONS
The following options are supported:

--choose-session=ARG
    User can specify a session to load, as opposed to the session specified in the ~/.gnome/session-options file. If that entry does not exist in the ~/.gnome/session file (or if that file doesn't exist), it will use the default session and all saves to that session will be to the new session name.

--failsafe
    Fail safe operations mode: only reads saved sessions from the default.session file.

--purge-delay=ARG
    The number of millisecond that gnome-session will wait for clients to register, if you use 0 it will wait forever (default value: 30,000 milliseconds).

--warn-delay=ARG
    The number of millisecond that gnome-session will wait for clients to respond, if you use 0 it will wait forever (default value: 10,000 milliseconds).

--suicide-delay=ARG
    The number of millisecond that gnome-session will wait for clients to die, if you use 0 it will wait forever (default value: 10,000 milliseconds).

ENVIRONMENT
gnome-session accepts all of the standard environment variables used by gnome programs, other than the SESSION_MANAGER environment variable. [ xref to a manpage where this is documented. ] gnome-session also sets several environment variables for the use of its child processes.

SESSION_MANAGER

    This variable is used by session-manager aware clients to contact gnome-session.

DISPLAY

    This variable is set to the X display being used by gnome-session. Note that if the --display option is used this might be different from the setting of the environment variable when gnome-session is invoked.

SEE ALSO
default.session(5),save-session(1)

BUGS
If you find bugs in the gnome-session program, please report these using bug-buddy or the gnome-bug script included with the GNOME libraries distribution.